@font-face {
  font-family: 'M Plus';
  src: url('./fonts/MPLUSRounded1c-Bold.ttf');
}

html, body { overflow-x: hidden; }
body {font-size: 21px; color: #fff;text-shadow: 2px 2px 3px rgba(0,0,0,1);font-family: '-apple-system', 'BlinkMacSystemFont', 'Segoe UI', 'Roboto', 'Helvetica Neue', 'Arial', sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol'; position:relative;}
h1 { font-size: 46px; }

.pacifico { font-family: 'Pacifico', cursive; }
.secular-one { font-family: 'Secular One', sans-serif; }

.main_box-wrapper {background: rgba(0,0,0,0.369); background: linear-gradient(45deg, rgba(65,118,181,0.478) 0%, rgba(0,0,0,0.369) 60%);padding: 3rem;}
.main_logo img { width: 55%; }
.theme_btn a { display: inline-block; background: #f8af1c; text-shadow: none; text-transform: uppercase; font-weight: bold; text-decoration: none; color: #fff; font-size: 32px; vertical-align: middle; padding: 4px 35px 6px; border-radius: 30px; transition: all .3s ease; }
.theme_btn a:hover { background: #5db731; transition: all .3s ease; }
.message_row {margin: 0 12px;padding: 0 48px; border-top: solid 4px rgba(38,163,171,0.49);border-bottom: solid 4px rgba(38,163,171,0.49);border-top-left-radius: 30px;border-bottom-right-radius: 30px;}
.msg_img img {border-radius: 50%;height: 240px;width: 240px;object-fit: cover;object-position: center;}
.msg_content {line-height: 28px; margin-left: auto;margin-right: auto;font-size: 23px;font-weight: 500;}
.telegram_btn a {display: inline-block;text-transform: uppercase;font-weight: bold;text-decoration: none;color: #fff;text-shadow: none;background: #37897f;padding: 8px 25px;border-radius: 30px;width: 100%;max-width: 285px; text-align:center; transition: all .3s ease;}
.telegram_btn.long_btn a { max-width: 420px; }
.telegram_btn a:hover { background: #245651; transition: all .3s ease;}
.telegram_btn a img {max-width: 21px;vertical-align: middle;margin-bottom: 3px !important;}

/* Affiliate */
.main_logo.affiliate img { width: 100%; max-width: 170px;vertical-align:baseline;}
.affiliate_logo_text p {font-weight: bold;color: #E924F7;font-size: 48px;text-shadow: 0 0 10px rgba(0, 0, 0, 0.5); font-family: 'M Plus', sans-serif; line-height: 50px;}
.affiliate_title h1 {font-size: 34px;text-transform: uppercase;font-weight: 700; background: transparent linear-gradient(90deg, rgba(248, 173, 35, 0) 0%, rgba(214, 36, 246, 1) 21%, rgba(214, 36, 246, 1) 81%, rgba(248, 173, 35, 0) 100%) 0% 0% no-repeat padding-box; padding: 3px 0 6px;}
.affiliate_title h2 {font-size: 24px;text-transform: uppercase;font-weight: 700; background: transparent linear-gradient(90deg, #E924F7 0%, #E924F7 45%, #F8AD2300 100%) 0% 0% no-repeat padding-box; padding: 3px 0 6px 12px;}
.affiliate_title h3 {font-size: 21px;text-transform: uppercase;font-weight: 700; display: inline-block;}
.affiliate_title h4 {font-size: 21px;text-transform: uppercase;font-weight: 500; display: inline-block;}
.affiliate_bottom_title > .wpb_wrapper { display: flex; justify-content: flex-start;}
.affiliate_bottom_title h3 {font-size: 52px;line-height: 50px;text-transform: uppercase;font-weight: 700;display: inline-block;margin-bottom: 0;margin-right: 6px;}
.main_box-wrapper.affiliate { padding: 25px;background: linear-gradient(90deg,rgba(51,105,191,.7) 0%,rgba(0,0,0,.7) 100%); backdrop-filter: blur(7px); border-radius: 12px; }
.message_row.affiliate {padding: 0; border-top: solid 4px rgb(248 173 34);border-bottom: solid 4px rgb(248 173 34);}
.affiliate_text {font-size: 18px;line-height: normal; text-shadow: none;}
.affiliate_text p {margin-bottom: 6px; text-shadow: none;}
.telegram_btn.affiliate_contact a {max-width: 49%;}
.telegram_btn.affiliate_contact p { display: flex; justify-content: space-between; }
.affiliate_table {border-radius: 15px;border: solid 1px #E924F7;}
.affiliate_table table {border-radius: 16px;overflow: hidden;font-size: 18px;text-shadow: none;background: #162338; border-collapse: separate !important;border-spacing: 10px; padding: 0 15px 15px;}
.affiliate_table td {padding: 5px;font-weight: 500;background: #080F19;}
.affiliate_table tr:not(:first-child) td:first-child { background: #101b2c; }
.affiliate_table tr:first-child td { background: transparent; text-transform: uppercase; }
.affiliate_table tr:last-child td, .affiliate_table tr:nth-last-child(2) td { color: #e924f7; }
.affiliate_license img { max-width: 280px; width: 100%; }
.telegram_btn.affiliate a { font-size: 18px; }
.affiliate_license_b img { max-width: 150px; }
.telegram_btn.affiliate a { background: transparent linear-gradient(180deg, #E924F7 0%, #9426F4 100%) 0% 0% no-repeat padding-box;transition: all .3s ease; }
.telegram_btn.affiliate a:hover { background: transparent linear-gradient(180deg, #B112BC 0%, #7813D1 100%) 0% 0% no-repeat padding-box; transition: all .3s ease; }
.text-no-shadow { text-shadow: none !important; }
.affiliate_separator { background: transparent linear-gradient(90deg, #F8AD2300 0%, #E924F7 21%, #E924F7 81%, #F8AD2300 100%) 0% 0% no-repeat padding-box; height: 4px; width: 100%; }

@media screen and (min-width: 1700px) {
	.container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
		max-width: 1640px;
	}
}
@media screen and (max-width: 1700px) { 
    /** Affiliate **/
    .affiliate_title h1 {font-size: 30px; }
    .affiliate_bottom_title h3 { font-size: 36px; line-height: 36px; }
}
@media screen and (max-width: 1600px) {
	body { font-size: 16px; }
	h1 { font-size: 34px; }
	h3 { font-size: 20px; }
	.main_box-wrapper { padding: 2rem; }
	.theme_btn a { font-size: 24px; }
	.msg_img img { height: 185px; width: 185px; }
	.msg_content { font-size: 18px; line-height: 22px; }
	.telegram_btn a { padding: 8px 20px; max-width: 230px; border-radius: 20px; }
	.telegram_btn.long_btn a { max-width: 320px; }
}
@media screen and (max-width: 1400px) {
    .affiliate_bottom_title > .wpb_wrapper { flex-wrap: wrap;} 
}
@media screen and (max-width: 992px) {
	.message_row {padding: 0 20px;}
	.main_logo img { width: 80%; }
	.affiliate_license img { max-width: 300px; }
	 .affiliate_bottom_title h3 { font-size: 21px; line-height: normal; margin-right:3px;}
	 .affiliate_bottom_title > .wpb_wrapper { align-items: baseline; }
}
@media screen and (max-width: 576px) {
	body { font-size: 13px; }
	h1 { font-size: 26px;}
	h3 { font-size: 16px; }
	.main_box-wrapper {width: calc(100% - 40px);margin-left: auto;margin-right: auto;padding: 1rem;}
	.theme_btn a {font-size: 20px;width: 100%;padding: 4px 20px 6px;}
	.message_row { margin: 0; padding: 0; }
	.msg_img img { width: 150px; height: 150px; }
	.msg_content { font-size: 16px; line-height: 18px;}
	.telegram_btn a { padding: 6px 15px; }
	.telegram_btn a img { max-width: 16px;}
	.telegram_btn.long_btn a { max-width: 90%; }
	
	/* Affiliate */
	.affiliate_table { border-radius: 11px; border-spacing: 6px; }
	.affiliate_table table { border-radius: 12px;font-size: 16px; padding: 0 6px 6px;border-spacing: 6px;}
	.main_box-wrapper.affiliate { padding: 20px 0 ;}
	.main_logo.affiliate img { max-width: 110px; }
	.affiliate_logo_text p { font-size: 32px; line-height: 34px; }
	.affiliate_title h1 { font-size: 24px; padding: 0 16px; }
	.affiliate_title h2 { font-size: 21px; }
	.affiliate_title h4 { font-size: 18px; }
	.affiliate_text, .affiliate_table, .telegram_btn.affiliate a, .telegram_btn.affiliate_contact a  { font-size: 16px; }
	.affiliate_license img { width: 80%; }
}
@media screen and (max-width: 400px) { 
    .affiliate_table { overflow-y: auto; }
    .affiliate_table table { border-spacing: 3px; }
}
